import { protocol } from './index'
import { GET_HOUSES_LIST, POST_HOUSE_CREATE } from './url'

export const postCreateHouse = (payload) => {
  return protocol.post(POST_HOUSE_CREATE, payload)
}

export const getAllHouse = ({ page, pageSize }) => {
  return protocol.get(
    GET_HOUSES_LIST({
      page,
      pageSize,
    }),
    {},
  )
}
