import { lazy } from 'solid-js'

export const ROUTES = [
  {
    name: 'home',
    path: '/',
    components: lazy(() => import('@pages/Home')),
    filter: {},
    show: true,
  },
  {
    name: 'profile',
    path: '/me',
    components: lazy(() => import('@pages/Profile')),
    filter: {},
    show: true,
  },
  {
    name: 'dashboard',
    path: '/dashboard',
    components: lazy(() => import('@pages/Dashboard')),
    filter: {},
    show: true,
  },
  {
    name: 'location',
    path: '/location',
    components: lazy(() => import('@pages/House')),
    filter: {},
    show: true,
  },
  {
    name: 'create-location',
    path: '/location/create',
    components: lazy(() => import('@pages/HouseCreate')),
    filter: {},
    show: true,
  },
  {
    path: '/location',
    components: lazy(() => import('@pages/Location')),
    filter: {},
    show: true,
  },
]
